#                                                                -*- perl -*-
# 1.connect.t - test of ZETA Perl Module for Connect service
#
# ZETA Perl - Perl binding for the ANSI/NISO Z39.50-1995 Protocol
# Copyright (c) 1996, 1999 Finsiel S.p.A.
#
# Jama Musse Jama <jama@tecsiel.it> 4Q 1998
# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

use ZETA;
use Benchmark;

# common subroutines
require "common.pl";

# global variables amd constansts are found here
require "$FILERC";

sub TestConnect ()
  {
    # local variables
    my $zc;

    my $t1;
    my $td;
    my $tds;

    print STDERR "\n\t<<-- Testing connect service\n" if ($Verbose);

    $t1 = new Benchmark;

    #
    # establish a connection with a Z39.50 Target over TCP/IP
    #
    $zc = ZETA::Connection::New ($target, $port);

    $td  = Benchmark::timediff (Benchmark->new, $t1);
    $tds = Benchmark::timestr ($td);

    if (! $zc)
      {
	print STDERR "\t<<-- Connection to $target:$port failed\n" if ($Verbose);
	&TestAbort ();
      }
    else
      {
	print STDERR "\t<<-- Connection to $target:$port completed\n" if ($Verbose);
      }

    &SayOk ($testno, $zc, $tds);
  }

# here is the main
BEGIN
  {
    ;
  }

print "1..1\n";

if (-e "../$FILERC")
  {
    print STDERR "Configuration file missing\n";
  }

$testno = 0;
&TestConnect ();

